<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Estadisticas de Ventas</title>
<?
include("../conex.php");
$txtfecha=$_POST["txtfecha"];
$txtfecha1=$_POST["txtfecha1"];

$dia = substr ($txtfecha, 0, 2);
$dia1 = substr ($txtfecha1, 0, 2);
$mes = substr ($txtfecha, 3, 2);
$mes1 = substr ($txtfecha1, 3, 2);
$mes2=$mes;

$aņo = substr ($txtfecha, 6, 4);
$aņo1 = substr ($txtfecha1, 6, 4);

$ini = $aņo.'/'.$mes.'/'.$dia;
$fin = $aņo1.'/'.$mes1.'/'.$dia1;

 
$vende =$_POST["lstvendedor"];

$ordena = "ORDER BY razon_social ASC";


if ($vende==0) 
	{
	$cven='';
	$nvende="Todos";
	}
else 
	{
	$cven = " AND vendedor=$vende ";
	$sql_bv = "SELECT * FROM vendedor WHERE Id = $vende";
  	$resbv = mysql_query($sql_bv,$enlace);	
	while (mysql_fetch_object ($resbv))
		{
		$nvende = mysql_result($resbv, 0, "nombres");
		}
	}





?>



<style type="text/css">
<!--
.Estilo1 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px;}
.Estilo2 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10px; color:#FF0000}
-->
</style>
</head>
<body LINK="#000000" VLINK="#000000" ALINK="#000000">  <br>
<div align="center" class="titulos2">ESTADISTICA   Vendedor - Clientes - No - Atendidos DESDE EL 
<?=$txtfecha?> HASTA EL <?=$txtfecha1?>, Vendedor =  <?=$nvende?> </div>
<div align="center">

    <table width="90%" border="0">
      <tr bgcolor="#CCCCCC">
        <th scope="col"><div align="center">RUT</div></th>
		<th scope="col"><div align="center">CLIENTE</div></th>
        <th scope="col"><div align="center">Ene.</div></th>
		<th scope="col"><div align="center">Feb.</div></th>
		<th scope="col"><div align="center">Mar.</div></th>
		<th scope="col"><div align="center">Abr.</div></th>
		<th scope="col"><div align="center">May.</div></th>
		<th scope="col"><div align="center">Jun.</div></th>
		<th scope="col"><div align="center">Jul.</div></th>
		<th scope="col"><div align="center">Ago.</div></th>
		<th scope="col"><div align="center">Sep.</div></th>
		<th scope="col"><div align="center">Oct.</div></th>
		<th scope="col"><div align="center">Nov.</div></th>
		<th scope="col"><div align="center">Dic.</div></th>
     	<th scope="col"><div align="center">Total</div></th>
	<?		




		$total_neto=0;
		$tenero=$tfebrero=$tmarzo=$tabril=$tmayo=$tjunio=$tjulio=$tagosto=$tseptiembre=$toctubre=$tnoviembre=$tdiciembre=0;
			if ($vende == 0) 	$sqlfs = "SELECT rut, razon_social FROM nombres ".$ordena;

          else
		  
		  	$sqlfs = "SELECT rut, razon_social FROM nombres WHERE id_vendedor='$vende'".$ordena;
			
	  	$resfs = mysql_query($sqlfs,$enlace);	
			$cont=0;
			while (mysql_fetch_object ($resfs))
 				{
				$enero=$febrero=$marzo=$abril=$mayo=$junio=$julio=$agosto=$septiembre=$octubre=$noviembre=$diciembre=0;					
				$rut = mysql_result($resfs, $cont, "rut");
				$nombre = mysql_result($resfs, $cont, "razon_social");
				
				
				if ($mes1>=1)
					{
					if ($mes<1) $ini = $aņo.'-01-01';
					else if ($mes==1) $ini = $aņo.'-01-'.$dia;
					else $ini = date(Y).'-02-'.$dia;
					if ($mes1==1) $fin = $aņo1.'-01-'.$dia1;
					else $fin = $aņo1.'-01-31';
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$enero = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($enero==NULL) $enero=0;
					
					}
				if($mes1>=2)
					{
					if ($mes<2) $ini = $aņo.'-02-01';
					else if ($mes==2) $ini = $aņo.'-02-'.$dia;
					else $ini = $aņo.'-03-'.$dia;
					if ($mes1==2) $fin = $aņo1.'-02-'.$dia1;
					else $fin = $aņo1.'-02-29';
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$febrero = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($febrero==NULL) $febrero=0;
					
					}
				if($mes1>=3)
					{

					if ($mes<3) $ini = $aņo.'-03-01';
					else if ($mes==3) $ini = $aņo.'-03-'.$dia;
					else $ini = $aņo.'-04-'.$dia;
					if ($mes1==3) $fin = $aņo1.'-03-'.$dia1;
					else $fin = $aņo1.'-03-31';
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$marzo = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($marzo==NULL) $marzo=0;
					
					}
				if($mes1>=4)
					{

					if ($mes<4) $ini = $aņo.'-04-01';
					else if ($mes==4) $ini = $aņo.'-04-'.$dia;
					else $ini = $aņo.'-05-'.$dia;

					if ($mes1==4) $fin = $aņo1.'-04-'.$dia1;
					else $fin = $aņo1.'-04-30';
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$abril = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($abril==NULL) $abril=0;
						
					}
				if($mes1>=5)
					{
					if ($mes<5) $ini = $aņo.'-05-01';
					else if ($mes==5) $ini = $aņo.'-05-'.$dia;
					else $ini = $aņo.'-06-'.$dia;
					
					if ($mes1==5) $fin = $aņo1.'-05-'.$dia1;
					else $fin = $aņo1.'-05-31';
					
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$mayo = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($mayo==NULL) $mayo=0;
					
					}
				if($mes1>=6)
					{

					if ($mes<6) $ini = $aņo.'-06-01';
					else if ($mes==6) $ini = $aņo.'-06-'.$dia;
					else $ini = $aņo.'-07-'.$dia;

					if ($mes1==6) $fin = $aņo1.'-06-'.$dia1;
					else $fin = $aņo1.'-06-31';
					
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$junio = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($junio==NULL) $junio=0;
					
					}
				if($mes1>=7)
					{

					if ($mes<7) $ini = $aņo.'-07-01';
					else if ($mes==7) $ini = $aņo.'-07-'.$dia;
					else $ini = $aņo.'-08-'.$dia;
					
					if ($mes1==7) $fin = $aņo1.'-07-'.$dia1;
					else $fin = $aņo1.'-07-31';
					
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$julio = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($julio==NULL) $julio=0;
					
					}
				if($mes1>=8)
					{

					if ($mes<8) $ini = $aņo.'-08-01';
					else if ($mes==8) $ini = $aņo.'-08-'.$dia;
					else $ini = $aņo.'-09-'.$dia;
					if ($mes1==8) $fin = $aņo1.'-08-'.$dia1;
					else $fin = $aņo1.'-08-31';
					
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$agosto = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($agosto==NULL) $agosto=0;
					
					}
				if($mes1>=9)
					{
					if ($mes<9) $ini = $aņo.'-09-01';
					else if ($mes==9) $ini = $aņo.'-09-'.$dia;
					else $ini = $aņo.'-10-'.$dia;
					
					if ($mes1==9) $fin = $aņo1.'-09-'.$dia1;
					else $fin = $aņo1.'-09-31';
					
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$septiembre = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($septiembre==NULL) $septiembre=0;
					
					}
				if($mes1>=10)
					{
					if ($mes<10) $ini = $aņo.'-10-01';
					else if ($mes==10) $ini = $aņo.'-10-'.$dia;
					else $ini = $aņo.'-11-'.$dia;
					
					if ($mes1==10) $fin = $aņo1.'-10-'.$dia1;
					else $fin = $aņo1.'-10-31';
					
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$octubre = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($octubre==NULL) $octubre=0;
					
					}
				if($mes1>=11)
					{
					if ($mes<11) $ini = $aņo.'-11-01';
					else if ($mes==11) $ini = $aņo.'-11-'.$dia;
					else $ini = $aņo.'-12-'.$dia;
					if ($mes1==11) $fin = $aņo1.'-11-'.$dia1;
					else $fin = $aņo1.'-11-31';
					
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$noviembre = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($noviembre==NULL) $noviembre=0;
					
					}
				if($mes1>=12)
					{
					if ($mes<12) $ini = $aņo.'-12-01';
					else if ($mes==12) $ini = $aņo.'-12-'.$dia;
					
					if ($mes1==12) $fin = $aņo1.'-12-'.$dia1;
					else $fin = $aņo1.'-12-31';
					
					
					$sql_fsm = "SELECT SUM(factor*neto) AS totalmes FROM salida WHERE rut_cliente = '$rut' AND (salida.tipo_dcto='1'  or salida.tipo_dcto='2' or salida.tipo_dcto='6' or salida.tipo_dcto='7' OR salida.tipo_dcto='33' OR salida.tipo_dcto='56' OR salida.tipo_dcto='61') AND (fecha_emision>='$ini' and fecha_emision<='$fin') $cven";
					$res_fsm = mysql_query($sql_fsm, $enlace);
					$rowk=0;
					if (mysql_fetch_object($res_fsm))
 						{
						$diciembre = mysql_result($res_fsm, 0, "totalmes");
						}
						if ($diciembre==NULL) $diciembre=0;
					
					}
				
				//$totalmeses=$cantidad= mysql_result($resfs, $cont, "cant");
				$tenero+=$enero;
				$tfebrero+=$febrero;
				$tmarzo+=$marzo;
				$tabril+=$abril;
				$tmayo+=$mayo;
				$tabril+=$abril;
				$tjunio+=$junio;
				$tjulio+=$julio;
				$tagosto+=$agosto;
				$tseptiembre+=$septiembre;
				$toctubre+=$octubre;
				$tnoviembre+=$noviembre;
				$tdiciembre+=$diciembre;				
				$totalmeses=$cantidad=$enero+$febrero+$marzo+$abril+$mayo+$junio+$julio+$agosto+$septiembre+$octubre+$noviembre+$diciembre;
		
		if ($totalmeses==0)
		 {		
		?>	
			 
			<tr>
		        <td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
		          <?=$rut?>    
	          </strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="left"><span class="Estilo1"><strong>
				  <?=$nombre?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($enero,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($febrero,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($marzo,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($abril,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($mayo,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($junio,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($julio,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($agosto,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($septiembre,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($octubre,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($noviembre,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($diciembre,0,',','.');?>
				</strong></span></div></td>
				<td style="border-color:#CCCCCC; border:solid; border-width:2px; border-right-width:1px"><div align="right"><span class="Estilo1"><strong>
				  <?=number_format($totalmeses,0,',','.');?>
				</strong></span></div></td>
	        </tr>	
			<?
			}
			$cont+=1;
			$total_neto+=$totalmeses;
			}
			
			?>
     </table>
	<form name="form1" method="post" action="">

	  <input type="button" name="imprimir" id="imprimir" value="Imprimir" onClick="fun_imprimir();">
	  <input name="txt_nv" id="txt_nv" type="text" style="visibility:hidden" size="1">
    </form>
  </div>
</body>
</html>

<script language="javascript" type="text/javascript">
function cerrar()
{
window.top.open('','_parent','');
window.top.close();
}
function fun_imprimir()
	{
	document.getElementById('imprimir').style.display = "none";
	window.print();
	document.getElementById('imprimir').style.display = "block";
	};

</script>
